package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface IExpandAssess extends ICoreBillBase
{
    public ExpandAssessCollection getExpandAssessCollection() throws BOSException;
    public ExpandAssessCollection getExpandAssessCollection(EntityViewInfo view) throws BOSException;
    public ExpandAssessCollection getExpandAssessCollection(String oql) throws BOSException;
    public ExpandAssessInfo getExpandAssessInfo(IObjectPK pk) throws BOSException, EASBizException;
    public ExpandAssessInfo getExpandAssessInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public ExpandAssessInfo getExpandAssessInfo(String oql) throws BOSException, EASBizException;
    public void startCheck(String billId) throws BOSException;
    public void closeCheck(String billId) throws BOSException;
    public void lock(String billId) throws BOSException, EASBizException;
    public void unlock(String billId) throws BOSException, EASBizException;
}